Mailinglist Archive: opensuse-updates (57 mails)

< Previous Next >
openSUSE-SU-2010:0366-1 (important): otrs: Fixed a vulnerability in OTRS-Core that allowed SQL-Injection
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Tue, 13 Jul 2010 19:08:09 +0200 (CEST)
  • Message-id: <20100713170809.30CB5BE27@xxxxxxxxxxxxxx>
openSUSE Security Update: otrs: Fixed a vulnerability in OTRS-Core that
allowed SQL-Injection
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0366-1
Rating: important
References: #576066
Cross-References: CVE-2010-0438
Affected Products:
openSUSE 11.2
openSUSE 11.1
openSUSE 11.0
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

OTRS was prone to multiple SQL-injection vulnerabilities
which could allow remote authenticated attackers to execute
arbitrary SQL code via unspecified vectors.(CVE-2010-0438).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.2:

zypper in -t patch otrs-2702

- openSUSE 11.1:

zypper in -t patch otrs-2702

- openSUSE 11.0:

zypper in -t patch otrs-2702

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.2 (i586 src x86_64):

otrs-2.2.6-46.3.1

- openSUSE 11.1 (i586 ppc src x86_64):

otrs-2.2.6-45.18.1

- openSUSE 11.0 (i586 ppc src x86_64):

otrs-2.2.6-15.3


References:

http://support.novell.com/security/cve/CVE-2010-0438.html
https://bugzilla.novell.com/576066


< Previous Next >
This Thread
  • No further messages